%define upstream_name    Text-FixEOL
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Canonicalizes mixed convention EOL/EOF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Converts the EOL and EOF conventions in the passed string to a canonicalization
form that handles 'mixed' EOL conventions.

It canonicalizes EOL as \n (the platform defined EOL) if it does not know the
particular platform. Can also 'fix' the end-of-file mark if needed and ensure
that the last line of the string is EOL terminated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.80.0-3.mga10
+ Revision: 2206259
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.80.0-2.mga9
+ Revision: 1812840
- Mageia 9 Mass Rebuild

* Sun Jun 21 2020 tv <tv> 1.80.0-1.mga8
+ Revision: 1598285
- update to 1.08

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-9.mga8
+ Revision: 1497673
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-8.mga7
+ Revision: 1272038
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1034916
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 936447
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 744358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 686621
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 515508
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 374054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.06

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 22939
- cleaning spec file
- imported package perl-Text-FixEOL

